Security Enhanced Linux Reference Policy

# Layer: services

## Module: ricci

Interfaces

### Description:

Ricci cluster management agent.

### Interfaces:

ricci_admin( domain , role )

##### Summary

All of the rules required to administrate an ricci environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

ricci_domtrans( domain )

##### Summary

Execute a domain transition to run ricci.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

ricci_domtrans_modcluster( domain )

##### Summary

Execute a domain transition to run ricci modcluster.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

ricci_domtrans_modlog( domain )

##### Summary

Execute a domain transition to run ricci modlog.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

ricci_domtrans_modrpm( domain )

##### Summary

Execute a domain transition to run ricci modrpm.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

ricci_domtrans_modservice( domain )

##### Summary

Execute a domain transition to run ricci modservice.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

ricci_domtrans_modstorage( domain )

##### Summary

Execute a domain transition to run ricci modstorage.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

ricci_dontaudit_rw_modcluster_pipes( domain )

##### Summary

Do not audit attempts to read write ricci modcluster unnamed pipes.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

ricci_dontaudit_use_modcluster_fds( domain )

##### Summary

Do not audit attempts to use ricci modcluster file descriptors.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

ricci_stream_connect_modclusterd( domain )

##### Summary

Connect to ricci_modclusterd with a unix domain stream socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return